<template>
  <div>
    <v-row no-gutters justify="start">
      <v-col md="4">
        <p>DOCTOR:</p>
      </v-col>
      <v-col md="8" style="height: 100%">
        <div class="container">
          <v-row align="start" justify="end">
            <v-btn
              v-if="time!=null"
              large
              color="primary"
              rounded
              @click="$emit('changeStep')"
            >
              Continuar
            </v-btn>
          </v-row>
        </div>
      </v-col>
    </v-row>
    <v-row no-gutters align="center" justify="start">
      <v-col md="4">
        <cbx-specialists
          :specialists="specialistsAvailable"
          @changeSpecialist="getAvailability"
        />
      </v-col>
    </v-row>
    <calendar ref="calendar" :key="key" :uuid="selectedSpecialist ? selectedSpecialist.user.uuid : specialistsAvailable[0].user.uuid " :select-availability="selectAvailability" />
  </div>
</template>

<script>
import Calendar from '@/components/calendar/Calendar.vue';
import ComboboxSpecialists from '~/components/Comboboxes/ComboboxSpecialists.vue';

export default {
  components: {
    'calendar': Calendar,
    'cbx-specialists': ComboboxSpecialists,
  },
  props: {
    specialistsAvailable: {
      type: Array,
      default: () => { return []; },
    },
    availability: {
      type: Array,
      default: () => { return []; },
    },
    selectAvailability: {
      type: Function,
      default: () => { return 1; },
    },
    time: {
      type: String,
      default: null,
    },
  },
  data: () => ({
    selectedSpecialist: null,
    key: 0,
  }),
  mounted() {
    this.selectedSpecialist = this.specialistsAvailable[0];
  },
  methods: {
    getAvailability(event) {
      console.log('cbx', event.user.uuid);
      if (event.id) {
        this.selectedSpecialist = event;
        this.forceRender()
        // this.$refs.calendar.initialize(event.user.uuid);
        this.$emit('selectSpecialist', event);
      }
    },
    forceRender() {
      this.key += 1;
    }
  },
};
</script>
